Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.parse
Class DlpParserTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.parse.LpParserTest
                  lp.parse.DlpParserTest

All Implemented Interfaces:
  Test

    public class DlpParserTest

extends LpParserTest

Contains tests of the `DlpParser` class.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `DlpParser`

Field Summary

Fields inherited from class lp.parse.LpParserTest
`parser, printer`

Constructor Summary
`DlpParserTest(String testName)` A default test case constructor.

Method Summary
`void` | `testParseDlp()` Tests the `DlpParser.parseDlp()` method.

Methods inherited from class lp.parse.LpParserTest
`doRulesFromFileTest, getRule1, getRule2, testBothRules, testExceptions, testInvalidRule, testNormalRule, testPropositionalRule, testRulesFromFile, testSetInputExceptions`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DlpParserTest

    public DlpParserTest(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### testParseDlp

    public void testParseDlp()

  Tests the `DlpParser.parseDlp()` method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD